#ifndef MENUS_H
#define MENUS_H

typedef enum button_action {WARP, SET_VAR} button_action ;

typedef struct onoff_button {
    int id;

    char* text;
    double x; double y; double w; double h;
    int red;
    int green;
    int blue;

    // {WARP, SET_VAR}
    button_action type;
    
    // the value to change (if SET_VAR) or the destination interface (if WARP)
    int* metadata;
} onoff_button;

typedef struct interface {
    int intfid;

    char* title;

    onoff_button* buttons;
    int nbuttons;
} interface;

void initMenus();

void gl_drawRect(unsigned int fragShader, float x, float y, float w, float h, int r, int g, int b);
void gl_initDrawRect(unsigned int shaderProgram);

void gl_drawInteger(unsigned int fragShader, int n, float x, float y, float size, int r, int g, int b, float width, int side);

void init_interf();
void free_interf();

#endif